;;;; geo-earth.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18
;;;; Kon Lovett, Jan '18

(module geo-earth

(;export
  ;
  *earth-flattening*
  *earth-radius-miles* *earth-radius-kilometers*
  ;
  make-earth)

(import scheme
  (chicken base)
  (chicken type)
  geo-globe)

(include "geo-constants")

(include-relative "geo-utils.types")

(: make-earth (--> globe))

;;

(define *earth-flattening* EARTH-FLATTENING)

(define *earth-radius-miles* EARTH-RADIUS-MILES)
(define *earth-radius-kilometers* EARTH-RADIUS-KILOMETERS)

(define (make-earth) (make-globe EARTH-RADIUS-KILOMETERS EARTH-FLATTENING))

) ;module geo-earth
